package com.huigou.topsun.common;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.util.Objects;

/**
 * @author lxh
 */
@MappedSuperclass
@Getter
@Setter
public class AbstractPortalOrg {

    @Id
    @Column(name = "TMP_ID")
    private String id;
    @Column(name = "BATCH_NUMBER")
    private String batchNumber;
    /**
     * 导入状态
     */
    @Column(name = "status")
    private Integer importStatus;
//    @Column
//    private String message;
//    @Column
//    private String name;
//    @Column
//    private String code;
    /**
     * 排序号
     */
   // @Column(name = "SORT_ID")
  //  private Integer sortId;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AbstractPortalOrg that = (AbstractPortalOrg) o;
        return id.equals(that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
